diff --git python-numeric/python-numeric.spec python-numeric/python-numeric.spec.tmp
index b8c2e7051d..8547b21139 100644
--- python-numeric/python-numeric.spec
+++ python-numeric/python-numeric.spec.tmp
@@ -4,7 +4,7 @@
 
 Name: python-numeric
 Version: 24.2
-Release: 28%{?dist}
+Release: 29%{?dist}
 License: Python
 Group: Development/Languages
 Summary: Numerical Extension to Python
@@ -22,10 +22,18 @@ BuildRequires: python2-devel
 
 BuildRequires: python-setuptools
 
-%description
-Numeric is a python module that provides support for numerical
+%global _description\
+Numeric is a python module that provides support for numerical\
 operations.
 
+%description %_description
+
+%package -n python2-numeric
+Summary: %summary
+%{?python_provide:%python_provide python2-numeric}
+
+%description -n python2-numeric %_description
+
 %prep
 %setup -q -n Numeric-%{version}
 %patch1 -p1 -b .fix-dlamc3
@@ -40,7 +48,7 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-numeric
 %defattr(-,root,root,-)
 %doc Demo/
 %{python_sitearch}/*
@@ -48,6 +56,10 @@ rm -rf $RPM_BUILD_ROOT
 %{_includedir}/python*/Numeric/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 24.2-29
+- Python 2 subpackage renamed to python2-numeric
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 24.2-28
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-numpydoc/python-numpydoc.spec python-numpydoc/python-numpydoc.spec.tmp
index 646739c277..b8864b68c7 100644
--- python-numpydoc/python-numpydoc.spec
+++ python-numpydoc/python-numpydoc.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-numpydoc
 Version:        0.5
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Sphinx extension to support docstrings in Numpy format
 
 License:        BSD
@@ -26,10 +26,18 @@ BuildRequires:  python3-matplotlib
 BuildRequires:  python2-tools
 %endif
 
-%description
-Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
+%global _description\
+Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings\
 following the Numpy/Scipy format to a form palatable to Sphinx.
 
+%description %_description
+
+%package -n python2-numpydoc
+Summary: %summary
+%{?python_provide:%python_provide python2-numpydoc}
+
+%description -n python2-numpydoc %_description
+
 %if 0%{?with_python3}
 %package -n python3-numpydoc
 Summary:        Sphinx extension to support docstrings in Numpy format
@@ -76,7 +84,7 @@ popd
 %endif
 
  
-%files
+%files -n python2-numpydoc
 %doc LICENSE.txt README.rst
 %{python_sitelib}/numpydoc
 %{python_sitelib}/numpydoc-%{version}-py?.?.egg-info
@@ -89,6 +97,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5-9
+- Python 2 subpackage renamed to python2-numpydoc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-nwdiag/python-nwdiag.spec python-nwdiag/python-nwdiag.spec.tmp
index 04cfd6f40e..58d2aebc79 100644
--- python-nwdiag/python-nwdiag.spec
+++ python-nwdiag/python-nwdiag.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{srcname}
 Version:        1.0.4
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        nwdiag generates network-diagram images from text
 
 License:        ASL 2.0
@@ -33,12 +33,19 @@ BuildRequires:  python3-pillow
 BuildRequires:  python3-reportlab
 BuildRequires:  python3-setuptools
 
-Requires:       python-blockdiag
 
+%global _description\
+%(cat %{SOURCE1})\
 
-%description
-%(cat %{SOURCE1})
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+Requires:       python-blockdiag
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %package -n python3-%{srcname}
 Summary:        %{summary}
@@ -98,7 +105,7 @@ pushd %{py3dir}
 popd
 
 
-%files
+%files -n python2-%{srcname}
 %doc LICENSE
 %{_bindir}/*diag
 %{_mandir}/man1/*diag.1*
@@ -116,6 +123,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.4-6
+- Python 2 subpackage renamed to python2-nwdiag
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-oasa/python-oasa.spec python-oasa/python-oasa.spec.tmp
index ad54cbfa41..367f44ad89 100644
--- python-oasa/python-oasa.spec
+++ python-oasa/python-oasa.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-oasa
 Version:	0.13.1
-Release:	14%{?dist}
+Release:	15%{?dist}
 Summary:	Python library for manipulation of chemical formats
 Group:		Development/Libraries
 License:	GPLv2+
@@ -13,10 +13,18 @@ BuildArch:	noarch
 BuildRequires:	python-devel
 
 
-%description
-Free python library for manipulating and analyzing chemical structures
+%global _description\
+Free python library for manipulating and analyzing chemical structures\
 
 
+%description %_description
+
+%package -n python2-oasa
+Summary: %summary
+%{?python_provide:%python_provide python2-oasa}
+
+%description -n python2-oasa %_description
+
 %prep
 %setup -q -n oasa-%{version}
 
@@ -34,7 +42,7 @@ Free python library for manipulating and analyzing chemical structures
 %{__rm} -rf %{buildroot}
 
 
-%files
+%files -n python2-oasa
 %defattr(-, root ,root, -)
 %doc PKG-INFO progress.log README
 %{python_sitelib}/oasa/
@@ -43,6 +51,10 @@ Free python library for manipulating and analyzing chemical structures
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.13.1-15
+- Python 2 subpackage renamed to python2-oasa
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-oauth/python-oauth.spec python-oauth/python-oauth.spec.tmp
index a542a70f8e..2a6426fee4 100644
--- python-oauth/python-oauth.spec
+++ python-oauth/python-oauth.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-oauth
 Version:        1.0.1
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Library for OAuth version 1.0a
 
 Group:          Development/Languages
@@ -14,10 +14,18 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel python-setuptools
 
-%description
-Library for OAuth version 1.0a.
+%global _description\
+Library for OAuth version 1.0a.\
 
 
+%description %_description
+
+%package -n python2-oauth
+Summary: %summary
+%{?python_provide:%python_provide python2-oauth}
+
+%description -n python2-oauth %_description
+
 %prep
 %setup -q -n oauth-%{version}
 
@@ -35,13 +43,17 @@ python setup.py install --skip-build --root $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-oauth
 %defattr(-,root,root,-)
 %doc LICENSE.txt
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-15
+- Python 2 subpackage renamed to python2-oauth
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-odict/python-odict.spec python-odict/python-odict.spec.tmp
index 11b6c8ea14..5fd4568605 100644
--- python-odict/python-odict.spec
+++ python-odict/python-odict.spec.tmp
@@ -7,7 +7,7 @@
 
 Name: python-odict
 Version: 1.5.1
-Release: 7%{?dist}
+Release: 8%{?dist}
 Summary: Ordered dictionary
 
 Group: Development/Languages
@@ -21,12 +21,19 @@ BuildArch: noarch
 BuildRequires: python2-devel
 BuildRequires: python-setuptools
 
+%global _description\
+Dictionary in which the insertion order of items is preserved (using an\
+internal double linked list). In this implementation replacing an existing\
+item keeps it at its original position
+
+%description %_description
+
+%package -n python2-odict
+Summary: %summary
 Requires: python2
+%{?python_provide:%python_provide python2-odict}
 
-%description
-Dictionary in which the insertion order of items is preserved (using an
-internal double linked list). In this implementation replacing an existing
-item keeps it at its original position
+%description -n python2-odict %_description
 
 %prep
 %setup -q -n %{pkgname}-%{version}
@@ -48,13 +55,17 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-odict
 %defattr(-,root,root,-)
 %doc LICENSE.rst README.rst
 %{python_sitelib}/%{pkgname}/
 %{python_sitelib}/%{pkgname}-%{version}*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.1-8
+- Python 2 subpackage renamed to python2-odict
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-offtrac/python-offtrac.spec python-offtrac/python-offtrac.spec.tmp
index 288f681be5..601683c3ba 100644
--- python-offtrac/python-offtrac.spec
+++ python-offtrac/python-offtrac.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-offtrac
 Version:        0.1.0
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Trac xmlrpc library
 
 Group:          Development/Languages
@@ -22,10 +22,18 @@ BuildRequires:  python-devel
 BuildRequires:  python3-devel
 %endif
 
-%description
-There is the offtrac python library which offers the TracServer class. This
-object is how one interacts with a Trac instance via xmlrpc.
+%global _description\
+There is the offtrac python library which offers the TracServer class. This\
+object is how one interacts with a Trac instance via xmlrpc.\
+
 
+%description %_description
+
+%package -n python2-offtrac
+Summary: %summary
+%{?python_provide:%python_provide python2-offtrac}
+
+%description -n python2-offtrac %_description
 
 %if 0%{?with_python3}
 %package -n python3-offtrac
@@ -77,7 +85,7 @@ popd
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-offtrac
 %defattr(-,root,root,-)
 %doc COPYING LICENSE README
 # For noarch packages: sitelib
@@ -94,6 +102,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-11
+- Python 2 subpackage renamed to python2-offtrac
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-olpcgames/python-olpcgames.spec python-olpcgames/python-olpcgames.spec.tmp
index 5db4eff6f8..60881893f8 100644
--- python-olpcgames/python-olpcgames.spec
+++ python-olpcgames/python-olpcgames.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-olpcgames
 Version:        1.6
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        Utilities for developing games on the OLPC platform
 
 Group:          Development/Languages
@@ -11,16 +11,24 @@ URL:            http://wiki.laptop.org/go/OLPCGames
 Source0:        http://dev.laptop.org/~mcfletch/OLPCGames/OLPCGames-%{version}.tar.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-Requires:       pygame
 BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-%description
-This python package contains various resources and utility classes for making
-games on the OLPC system. Specifically it enables using PyGame in the Sugar 
+%global _description\
+This python package contains various resources and utility classes for making\
+games on the OLPC system. Specifically it enables using PyGame in the Sugar\
 environment.
 
+%description %_description
+
+%package -n python2-olpcgames
+Summary: %summary
+Requires:       pygame
+%{?python_provide:%python_provide python2-olpcgames}
+
+%description -n python2-olpcgames %_description
+
 %prep
 %setup -q -n OLPCGames-%{version}
 
@@ -42,13 +50,17 @@ sed -i -e 1d $RPM_BUILD_ROOT%{python_sitelib}/olpcgames/buildmanifest.py
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-olpcgames
 %defattr(-,root,root,-)
 %doc NEWS olpcgames/COPYING
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6-16
+- Python 2 subpackage renamed to python2-olpcgames
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-openhpi/python-openhpi.spec python-openhpi/python-openhpi.spec.tmp
index 734e1e330c..74316feffa 100644
--- python-openhpi/python-openhpi.spec
+++ python-openhpi/python-openhpi.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-openhpi
 Version:        1.2
-Release:        0.16.%{svndate}svn%{svnrev}%{?dist}
+Release:        0.17.%{svndate}svn%{svnrev}%{?dist}
 Summary:        Python interface for OpenHPI
 
 Group:          Development/Languages
@@ -22,13 +22,21 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel, swig, glib2-devel, openhpi-devel >= 2.10
 
-%description
-An extension module that makes it possible to access
-HPI api functions and structures from the Python language.
+%global _description\
+An extension module that makes it possible to access\
+HPI api functions and structures from the Python language.\
+\
+It supports everything that is exposed through SaHpi.h,\
+SaHpiAtca.h, SaHpiBladeCenter.h, oHpi.h, and oh_utils.h.\
 
-It supports everything that is exposed through SaHpi.h,
-SaHpiAtca.h, SaHpiBladeCenter.h, oHpi.h, and oh_utils.h.
 
+%description %_description
+
+%package -n python2-openhpi
+Summary: %summary
+%{?python_provide:%python_provide python2-openhpi}
+
+%description -n python2-openhpi %_description
 
 %prep
 %setup -q -n %{name}
@@ -53,13 +61,17 @@ chmod 0755 $RPM_BUILD_ROOT%{python_sitearch}/*.so
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-openhpi
 %defattr(-,root,root,-)
 %doc COPYING README
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2-0.17.20120322svn7120
+- Python 2 subpackage renamed to python2-openhpi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.16.20120322svn7120
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-openid-cla/python-openid-cla.spec python-openid-cla/python-openid-cla.spec.tmp
index fbbf125b3f..f0df3ab7cc 100644
--- python-openid-cla/python-openid-cla.spec
+++ python-openid-cla/python-openid-cla.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-openid-cla
 Version:        1.2
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        CLA extension for python-openid
 
 License:        BSD
@@ -19,9 +19,6 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-openid
-Requires:       python-openid
-
-Provides:       python2-openid-cla
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
@@ -29,9 +26,19 @@ BuildRequires:  python3-setuptools
 BuildRequires:  python3-openid
 %endif
 
-%description
+%global _description\
 CLA extension implementation for python-openid
 
+%description %_description
+
+%package -n python2-openid-cla
+Summary: %summary
+Provides:       python2-openid-cla
+Requires:       python-openid
+%{?python_provide:%python_provide python2-openid-cla}
+
+%description -n python2-openid-cla %_description
+
 %if 0%{?with_python3}
 %package -n python3-openid-cla
 Summary:        OpenID support for Flask
@@ -64,7 +71,7 @@ This package includes the python 3 version of the module.
 %endif
 
  
-%files
+%files -n python2-openid-cla
 # TODO: Upstream error: no COPYING in latest release
 #%doc COPYING
 %{python_sitelib}/*
@@ -77,6 +84,10 @@ This package includes the python 3 version of the module.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2-6
+- Python 2 subpackage renamed to python2-openid-cla
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-openid/python-openid.spec python-openid/python-openid.spec.tmp
index d5c1b71850..de170cb61b 100644
--- python-openid/python-openid.spec
+++ python-openid/python-openid.spec.tmp
@@ -12,7 +12,7 @@
 
 Name:           python-openid
 Version:        2.2.5
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        Python OpenID libraries
 
 Group:          Development/Languages
@@ -25,22 +25,30 @@ BuildRequires: python-setuptools
 BuildRequires:  python2-devel
 BuildRequires:  python-lxml
 #BuildRequires:  Django
-Requires:       python-lxml
 
-%description
-The OpenID library with batteries included.
+%global _description\
+The OpenID library with batteries included.\
+\
+Features of the 2.x.x series include:\
+\
+ * Refined and easy-to-use API.\
+ * Extensive documentation.\
+ * Many storage implemetations including file-based, sqlite,\
+   postgresql, and mysql.\
+ * Simple examples to help you get started.\
+ * Licensed under the Apache Software License.\
+ * Includes a Simple Registration API\
+ * Versions 1.x.x supports protocol version 1; versions 2.x.x support\
+   both major OpenID protocol versions transparently
 
-Features of the 2.x.x series include:
+%description %_description
 
- * Refined and easy-to-use API.
- * Extensive documentation.
- * Many storage implemetations including file-based, sqlite,
-   postgresql, and mysql.
- * Simple examples to help you get started.
- * Licensed under the Apache Software License.
- * Includes a Simple Registration API
- * Versions 1.x.x supports protocol version 1; versions 2.x.x support
-   both major OpenID protocol versions transparently
+%package -n python2-openid
+Summary: %summary
+Requires:       python-lxml
+%{?python_provide:%python_provide python2-openid}
+
+%description -n python2-openid %_description
 
 %prep
 %setup -qn %{name}-%{commit}
@@ -57,13 +65,17 @@ find . -type f | xargs chmod a-x
 %install
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-openid
 %defattr(-,root,root,-)
 %doc CHANGES-2.2.0 LICENSE NEWS NOTICE README.md background-associations.txt
 %{python2_sitelib}/openid
 %{python2_sitelib}/python_openid-*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.5-16
+- Python 2 subpackage renamed to python2-openid
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.5-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-openid-teams/python-openid-teams.spec python-openid-teams/python-openid-teams.spec.tmp
index 04e72f41de..10b24dd2a9 100644
--- python-openid-teams/python-openid-teams.spec
+++ python-openid-teams/python-openid-teams.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-openid-teams
 Version:        1.1
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Teams extension for python-openid
 
 License:        BSD
@@ -19,9 +19,6 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-openid
-Requires:       python-openid
-
-Provides:       python2-openid-teams
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
@@ -29,9 +26,19 @@ BuildRequires:  python3-setuptools
 BuildRequires:  python3-openid
 %endif
 
-%description
-Teams extension implementation for python-openid
+%global _description\
+Teams extension implementation for python-openid\
+
 
+%description %_description
+
+%package -n python2-openid-teams
+Summary: %summary
+Provides:       python2-openid-teams
+Requires:       python-openid
+%{?python_provide:%python_provide python2-openid-teams}
+
+%description -n python2-openid-teams %_description
 
 %if 0%{?with_python3}
 %package -n python3-openid-teams
@@ -65,7 +72,7 @@ This package includes the python 3 version of the module.
 %endif
 
  
-%files
+%files -n python2-openid-teams
 # TODO: Upstream error: no COPYING in latest release
 #%doc COPYING
 %{python_sitelib}/*
@@ -78,6 +85,10 @@ This package includes the python 3 version of the module.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1-9
+- Python 2 subpackage renamed to python2-openid-teams
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-openoffice/python-openoffice.spec python-openoffice/python-openoffice.spec.tmp
index e349ef65b0..f90ca2c1d9 100644
--- python-openoffice/python-openoffice.spec
+++ python-openoffice/python-openoffice.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:           python-%{module}
 Version:        0.1
-Release:        0.22.%{snapdate}%{?dist}
+Release:        0.23.%{snapdate}%{?dist}
 Summary:        Python libraries for interacting with LibreOffice
 Group:          Development/Languages
 License:        GPLv3
@@ -25,13 +25,21 @@ BuildRequires:  python2-devel
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 %endif # if with_python3
-Requires:       libreoffice-pyuno
 
 
-%description
-The library is designed to supports both writing Macros (called by OOo) and
-interacting with OOo from an external Python program (using the UNO bridge).
+%global _description\
+The library is designed to supports both writing Macros (called by OOo) and\
+interacting with OOo from an external Python program (using the UNO bridge).\
+
 
+%description %_description
+
+%package -n python2-%{module}
+Summary: %summary
+Requires:       libreoffice-pyuno
+%{?python_provide:%python_provide python2-%{module}}
+
+%description -n python2-%{module} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{module}
@@ -81,7 +89,7 @@ popd
 %{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-%{module}
 %doc COPYING LICENSE-gpl-3.0.txt README sample-scripts
 %{python_sitelib}/*
 
@@ -93,6 +101,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-0.23.20110209
+- Python 2 subpackage renamed to python2-openoffice
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.22.20110209
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-openopt/python-openopt.spec python-openopt/python-openopt.spec.tmp
index 59b8b1de75..063b7a7728 100644
--- python-openopt/python-openopt.spec
+++ python-openopt/python-openopt.spec.tmp
@@ -4,16 +4,13 @@
 
 Name:           python-openopt
 Version:        0.5625
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        A python module for numerical optimization
-Provides:       python2-openopt
 
 License:        BSD
 URL:            http://openopt.org/
 Source0:        https://pypi.python.org/packages/source/o/openopt/openopt-%{version}.tar.gz
 
-Requires:       numpy
-
 
 BuildArch:      noarch
 BuildRequires:  python2-devel
@@ -27,12 +24,22 @@ BuildRequires:  python3-numpy
 BuildRequires:  python3-setuptools
 %endif
 
-%description
-Universal numerical optimization package with several 
-own solvers (e.g. ralg) and connections to tens of 
-other, graphical output of convergence and many other 
+%global _description\
+Universal numerical optimization package with several\
+own solvers (e.g. ralg) and connections to tens of\
+other, graphical output of convergence and many other\
 goodies.
 
+%description %_description
+
+%package -n python2-openopt
+Summary: %summary
+Requires:       numpy
+Provides:       python2-openopt
+%{?python_provide:%python_provide python2-openopt}
+
+%description -n python2-openopt %_description
+
 %if 0%{?with_python3}
 %package -n python3-openopt
 Summary:        A python module for numerical optimization
@@ -99,7 +106,7 @@ rm -rf %{buildroot}%{python_sitelib}/openopt/examples
 #%%endif
 
 
-%files
+%files -n python2-openopt
 %doc PKG-INFO openopt/examples
 # For noarch packages: sitelib
 %{python_sitelib}/openopt
@@ -113,6 +120,10 @@ rm -rf %{buildroot}%{python_sitelib}/openopt/examples
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5625-7
+- Python 2 subpackage renamed to python2-openopt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5625-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-openstackclient/python-openstackclient.spec python-openstackclient/python-openstackclient.spec.tmp
index d01772be9c..27c205698e 100644
--- python-openstackclient/python-openstackclient.spec
+++ python-openstackclient/python-openstackclient.spec.tmp
@@ -1,7 +1,7 @@
 %{!?upstream_version: %global upstream_version %{version}%{?milestone}}
 Name:             python-openstackclient
 Version:          3.2.0
-Release:          3%{?dist}
+Release:          4%{?dist}
 Summary:          OpenStack Command-line Client
 
 License:          ASL 2.0
@@ -43,30 +43,37 @@ BuildRequires:    python-requestsexceptions
 BuildRequires:    python-openstacksdk
 BuildRequires:    python-osprofiler
 
-Requires:         python-pbr
-Requires:         python-babel
-Requires:         python-cliff
-Requires:         python-crypto
-Requires:         python-openstacksdk
-Requires:         python-oslo-config
-Requires:         python-oslo-i18n
-Requires:         python-oslo-utils
-Requires:         python-oslo-serialization
-Requires:         python-glanceclient
-Requires:         python-keystoneclient
-Requires:         python-novaclient
-Requires:         python-cinderclient
-Requires:         python-neutronclient
-Requires:         python-six >= 1.9.0
-Requires:         python-requests >= 2.5.2
-Requires:         python-stevedore
-Requires:         python-os-client-config
+%global _description\
+python-openstackclient is a unified command-line client for the OpenStack APIs.\
+It is a thin wrapper to the stock python-*client modules that implement the\
+actual REST API client actions.
+
+%description %_description
+
+%package -n python2-openstackclient
+Summary: %summary
 Requires:         python-osc-lib
+Requires:         python-os-client-config
+Requires:         python-stevedore
+Requires:         python-requests >= 2.5.2
+Requires:         python-six >= 1.9.0
+Requires:         python-neutronclient
+Requires:         python-cinderclient
+Requires:         python-novaclient
+Requires:         python-keystoneclient
+Requires:         python-glanceclient
+Requires:         python-oslo-serialization
+Requires:         python-oslo-utils
+Requires:         python-oslo-i18n
+Requires:         python-oslo-config
+Requires:         python-openstacksdk
+Requires:         python-crypto
+Requires:         python-cliff
+Requires:         python-babel
+Requires:         python-pbr
+%{?python_provide:%python_provide python2-openstackclient}
 
-%description
-python-openstackclient is a unified command-line client for the OpenStack APIs.
-It is a thin wrapper to the stock python-*client modules that implement the
-actual REST API client actions.
+%description -n python2-openstackclient %_description
 
 %package doc
 Summary:          Documentation for OpenStack Command-line Client
@@ -118,7 +125,7 @@ mv %{buildroot}%{python2_sitelib}/openstackclient/locale %{buildroot}%{_datadir}
 %check
 %{__python2} setup.py test
 
-%files -f openstackclient.lang
+%files -n python2-openstackclient -f openstackclient.lang
 %license LICENSE
 %doc README.rst
 %{_bindir}/openstack
@@ -131,6 +138,10 @@ mv %{buildroot}%{python2_sitelib}/openstackclient/locale %{buildroot}%{_datadir}
 %doc html
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.2.0-4
+- Python 2 subpackage renamed to python2-openstackclient
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ordered-set/python-ordered-set.spec python-ordered-set/python-ordered-set.spec.tmp
index ef7bf23f7c..02789f1a6d 100644
--- python-ordered-set/python-ordered-set.spec
+++ python-ordered-set/python-ordered-set.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           python-%{short_name}
 Version:        2.0.0
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        A Custom MutableSet that remembers its order
 
 License:        MIT
@@ -29,10 +29,18 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-nose
 %endif # with python3
 
-%description
-An OrderedSet is a custom MutableSet that remembers its order, so that every
+%global _description\
+An OrderedSet is a custom MutableSet that remembers its order, so that every\
 entry has an index that can be looked up.
 
+%description %_description
+
+%package -n python2-%{short_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{short_name}}
+
+%description -n python2-%{short_name} %_description
+
 %if %{with python3}
 %package     -n python3-%{short_name}
 Summary:        A Custom MutableSet that remembers its order
@@ -89,7 +97,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{short_name}
 %doc python2/README
 %{python_sitelib}/*
 
@@ -103,6 +111,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.0-8
+- Python 2 subpackage renamed to python2-ordered-set
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
